Bug 222138 - No way to influence property of LazyMenu
No way to influence property of LazyMenu
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Actions
7.3
PC Linux
: P2 (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@platform
bugdb_13785570
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-14 16:50 UTC by Jaroslav Tulach
Modified: 2012-12-22 02:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Check for "property-prefix" attribute when constructing LazyMenu (6.64 KB, patch)
2012-11-15 15:03 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2012-11-14 16:50:34 UTC
JDev needs to pass some putclientproperties to LazyMenu's. Right now there is no (non-hacky) way to do so.
Comment 1 Jaroslav Tulach 2012-11-15 15:03:29 UTC
Created attachment 127883 [details]
Check for "property-prefix" attribute when constructing LazyMenu
Comment 2 Jaroslav Tulach 2012-11-26 14:35:27 UTC
Shannon, let me know when this is needed. Meanwhile changing to enhancement.
Comment 3 Jaroslav Tulach 2012-12-20 05:02:12 UTC
Shannon tested the change and it is working for her purpose. Unless there are other comments I'll integrate this week (marking as P2 defect, to not forget).
Comment 4 Jaroslav Tulach 2012-12-21 06:28:34 UTC
ergonomics#cf98a7152faa
Comment 5 Quality Engineering 2012-12-22 02:28:55 UTC
Integrated into 'main-golden', will be available in build *201212220001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/cf98a7152faa
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #222138: Ability to influence client properties of JMenu's in main menu via file system properties


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo